
CSS selectors

/*Universal Selector (*) - target all elemets*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*Type selector (<tag name>)- targets elements with specified type/tag name*/
h1 {
	color: black !important;
	text-align: center;
	font-size: 2rem;
}

section {
	height: 100vh;
	/*vh - viewport height*/
	/*vw - viewport width*/
	text-align: center;
}

h2{
	font-size: 1.5rem;
}

ol {
	list-style-type: none;
}


body {
	background-color: skyblue;
}

html {
	scroll-behavior: smooth;
}

nav{
	background-color: white;
}

/*selector: hover*/
a:hover{
	background-color: #b4d6de;	
}

div {
	display: inline-block;
	float: right;
}

/*ID selector (#id)- targets elements according to its ID attribute*/
#zuitt-motto	{
	letter-spacing: 5px;
}

/*Class selector (.class-name)- target elements according to its class attribute*/
.offering-item{
	text-transform: uppercase;
}

/*Attribute selector (tagname[attribute])- target elements with a specified element attribute;
use to target elements with a certain attribute*/
input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: blue;
	width: 90%;
}

/*Adjacent Sibling Selector*/
h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}


/*Descendant Selector*/
#bootcamp-learning-list li{
	color: #32a852;
}

/*General Sibling Selector*/
h2 ~ a{
	text-decoration: none;
}

form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	width: 25vw;
	height: 185px;
	position: relative;
	left: 37.5%;
}

/*Child selector*/
section > form > label {
	color: rgb(0, 0, 128);
}
	/*red, green, blue 0-255*/

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}


/*#zuitt-motto + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}*/

/*CSS Selector Combinators*/
/*Descendant selector (white space) matches all elements that are descendants of a specified element*/

	/*div p {
		background-color: red;
	}*/

	/*#parent p{
		background-color: red;
	}*/

/*Child selector (>) select all elements that are direct children*/

	/*div > p{
		background-color: red;
	}*/

	/*#parent > p{
		background-color: red;
	}*/

/*General sibling selector (~) select all elements that are next siblings*/

	/*p ~ p {
		background-color: red;
	}*/

	/*p ~ section{
		background-color: red;
	}*/

/*Adjacent Sibling Selector (+) select an element that is directly after 
another specific element*/

	/*p + p{
		background-color: red;
	}*/

	/*div + p{
		background-color: red;
	}